function M_r4=rotation_matrix_4x4(rotation_point,rotation_axis,angle);
%Function produces 4x4 rotation matrix around given axis for given angle (conterclockwise looking from the positive side)
X_n=rotation_axis(1);
Y_n=rotation_axis(2);
Z_n=rotation_axis(3);
if size(rotation_point,1) < size(rotation_point,2)	%horizontal row
	rotation_point=rotation_point';	%make Vertical column
end

M_r3=rotation_matrix_3x3(rotation_axis,angle);	% 3x3 rotation matrix
M_r4=M_r3;	M_r4(4,4)=1;	%Create 4x4 matrix from 3x3 matrix as a base
rotation_point(4)=1;
rotation_point=rotation_point-(rotation_point'*M_r4')';
M_r4(1:3,4)=rotation_point(1:3);	%Adding transformation related to the rotation point


