function [tdev,ecount_L]=tst_dev(par_val,ecount_L)
%Output:
%tdev   - integral deviation value
%ecount_L	- counter of function estimates

%Inputs:
%par_val    - parameters' values vector
%ecount_L	- counter of function estimates

ecount_L=ecount_L+1;    %Function evaluations counter
%Calculating coordinates
par_val_d(:,1)=sin(par_val(:,2)).*cos(par_val(:,1));	%X coordinate
par_val_d(:,2)=sin(par_val(:,2)).*sin(par_val(:,1));	%y coordinate
par_val_d(:,3)=cos(par_val(:,2));	%Z coordinate
dist=0;	%Initial distances sum

for i=1:size(par_val_d,1)   %Cycle for estimating distances
	for j=(i+1):size(par_val_d,1)   
		dist=dist+1/((par_val_d(i,1)-par_val_d(j,1))^2+...
			(par_val_d(i,2)-par_val_d(j,2))^2+(par_val_d(i,3)-par_val_d(j,3))^2);%^0.5;
	end
end
tdev=dist;
