function varargout = o_volmvis(varargin)
% o_volmvis Application M-file for o_volmvis.fig
%    FIG = o_volmvis launch o_volmvis GUI.
%    o_volmvis('callback_name', ...) invoke the named callback.

% Last Modified by GUIDE v2.5 16-Feb-2005 05:44:16
%	set(fig,'Color',get(0,'defaultUicontrolBackgroundColor'));

if nargin == 0  % LAUNCH GUI

	fig = openfig(mfilename,'reuse');
	

	% Generate a structure of handles to pass to callbacks, and store it. 
	set(fig,'Color',get(0,'defaultUicontrolBackgroundColor'));
	handles = guihandles(fig);
	guidata(fig, handles);

	if nargout > 0
		varargout{1} = fig;
	end

elseif ischar(varargin{1}) % INVOKE NAMED SUBFUNCTION OR CALLBACK

	try
		[varargout{1:nargout}] = feval(varargin{:}); % FEVAL switchyard
	catch
		disp(lasterr);
	end

end


%| ABOUT CALLBACKS:
%| GUIDE automatically appends subfunction prototypes to this file, and 
%| sets objects' callback properties to call them through the FEVAL 
%| switchyard above. This comment describes that mechanism.
%|
%| Each callback subfunction declaration has the following form:
%| <SUBFUNCTION_NAME>(H, EVENTDATA, HANDLES, VARARGIN)
%|
%| The subfunction name is composed using the object's Tag and the 
%| callback type separated by '_', e.g. 'slider2_Callback',
%| 'figure1_CloseRequestFcn', 'axis1_ButtondownFcn'.
%|
%| H is the callback object's handle (obtained using GCBO).
%|
%| EVENTDATA is empty, but reserved for future use.
%|
%| HANDLES is a structure containing handles of components in GUI using
%| tags as fieldnames, e.g. handles.figure1, handles.slider2. This
%| structure is created at GUI startup using GUIHANDLES and stored in
%| the figure's application data using GUIDATA. A copy of the structure
%| is passed to each callback.  You can store additional information in
%| this structure at GUI startup, and you can change the structure
%| during callbacks.  Call guidata(h, handles) after changing your
%| copy to replace the stored original so that subsequent callbacks see
%| the updates. Type "help guihandles" and "help guidata" for more
%| information.
%|
%| VARARGIN contains any extra arguments you have passed to the
%| callback. Specify the extra arguments by editing the callback
%| property in the inspector. By default, GUIDE sets the property to:
%| <MFILENAME>('<SUBFUNCTION_NAME>', gcbo, [], guidata(gcbo))
%| Add any extra arguments after the last argument, before the final
%| closing parenthesis.



% --------------------------------------------------------------------
function varargout = o_PlotProf_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PlotProf.


% --------------------------------------------------------------------
function varargout = o_PlotLand_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PlotLand.




% --------------------------------------------------------------------
function varargout = o_AverMode_Callback(h, eventdata, handles, varargin)

% --------------------------------------------------------------------
function varargout = o_AverNeighb_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_AverNeighb.

% --------------------------------------------------------------------
function varargout = o_AverOutside_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_AverNeighb.



% --------------------------------------------------------------------
function varargout = checkbox10_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.checkbox10.


% --------------------------------------------------------------------
function varargout = checkbox11_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.checkbox11.


% --------------------------------------------------------------------
function varargout = checkbox12_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.checkbox12.

% --------------------------------------------------------------------
function varargout = checkbox13_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.checkbox13.


% --------------------------------------------------------------------
function varargout = o_CrosNormal_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_CrosNormal.


% --------------------------------------------------------------------
function varargout = o_CalcMethod_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_CalcMethod.


% --------------------------------------------------------------------
function varargout = popupmenu9_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.popupmenu9.


% --------------------------------------------------------------------
function varargout = o_FileListLoad_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_FileListLoad.

% --------------------------------------------------------------------
function varargout = o_PlotCrosPerim_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PlotCrosPerim.


% --------------------------------------------------------------------
function varargout = o_SaveCrosPerim_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_SaveCrosPerim.



% --------------------------------------------------------------------
function varargout = o_PrintCrosContr_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PrintCrosContr.
%disp('o_PrintCrosContr Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = o_PrintSurf_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PrintSurf.
%disp('o_PrintSurf Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = o_PrintCrosAreas_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PrintCrosAreas.
%disp('o_PrintCrosAreas Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = o_PrintCrosRadii_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PrintCrosRadii.
%disp('o_PrintCrosRadii Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = o_FromAuto_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_FromAuto.


% --------------------------------------------------------------------
function varargout = o_ToAuto_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_ToAuto.


% --- Executes during object creation, after setting all properties.
function o_Symmetry_CreateFcn(hObject, eventdata, handles)
% hObject    handle to o_Symmetry (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function o_Symmetry_Callback(hObject, eventdata, handles)
% hObject    handle to o_Symmetry (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of o_Symmetry as text
%        str2double(get(hObject,'String')) returns contents of o_Symmetry as a double


% --- Executes on button press in o_PlotResult.
function o_PlotResult_Callback(hObject, eventdata, handles)
% hObject    handle to o_PlotResult (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of o_PlotResult


% --- Executes on button press in o_SaveResult.
function o_SaveResult_Callback(hObject, eventdata, handles)
% hObject    handle to o_SaveResult (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of o_SaveResult


% --- Executes on button press in o_PrintResult.
function o_PrintResult_Callback(hObject, eventdata, handles)
% hObject    handle to o_PrintResult (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of o_PrintResult


% --- Executes on button press in o_ImageResult.
function o_ImageResult_Callback(hObject, eventdata, handles)
% hObject    handle to o_ImageResult (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of o_ImageResult


% --- Executes on button press in o_MakeLinCros.
function o_MakeLinCros_Callback(hObject, eventdata, handles)
% hObject    handle to o_MakeLinCros (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of o_MakeLinCros


% --- Executes during object creation, after setting all properties.
function o_CrosTypeLin_CreateFcn(hObject, eventdata, handles)
% hObject    handle to o_CrosTypeLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in o_CrosTypeLin.
function o_CrosTypeLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_CrosTypeLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns o_CrosTypeLin contents as cell array
%        contents{get(hObject,'Value')} returns selected item from o_CrosTypeLin


% --- Executes during object creation, after setting all properties.
function o_CrosNormalTypeLin_CreateFcn(hObject, eventdata, handles)
% hObject    handle to o_CrosNormalTypeLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in o_CrosNormalTypeLin.
function o_CrosNormalTypeLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_CrosNormalTypeLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns o_CrosNormalTypeLin contents as cell array
%        contents{get(hObject,'Value')} returns selected item from o_CrosNormalTypeLin


% --- Executes during object creation, after setting all properties.
function o_CrosNormalLin_CreateFcn(hObject, eventdata, handles)
% hObject    handle to o_CrosNormalLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function o_CrosNormalLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_CrosNormalLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of o_CrosNormalLin as text
%        str2double(get(hObject,'String')) returns contents of o_CrosNormalLin as a double


% --- Executes during object creation, after setting all properties.
function o_FromEditLin_CreateFcn(hObject, eventdata, handles)
% hObject    handle to o_FromEditLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function o_FromEditLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_FromEditLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of o_FromEditLin as text
%        str2double(get(hObject,'String')) returns contents of o_FromEditLin as a double


% --- Executes during object creation, after setting all properties.
function edit16_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit16 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit16_Callback(hObject, eventdata, handles)
% hObject    handle to edit16 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit16 as text
%        str2double(get(hObject,'String')) returns contents of edit16 as a double


% --- Executes during object creation, after setting all properties.
function o_FromChngLin_CreateFcn(hObject, eventdata, handles)
% hObject    handle to o_FromChngLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function o_FromChngLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_FromChngLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of o_FromChngLin as text
%        str2double(get(hObject,'String')) returns contents of o_FromChngLin as a double


% --- Executes on button press in o_FromEditDnLin.
function o_FromEditDnLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_FromEditDnLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in o_FromEditUpLin.
function o_FromEditUpLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_FromEditUpLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in o_FromChngDnLin.
function o_FromChngDnLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_FromChngDnLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in o_FromChngUpLin.
function o_FromChngUpLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_FromChngUpLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object creation, after setting all properties.
function o_ToChngLin_CreateFcn(hObject, eventdata, handles)
% hObject    handle to o_ToChngLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function o_ToChngLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_ToChngLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of o_ToChngLin as text
%        str2double(get(hObject,'String')) returns contents of o_ToChngLin as a double


% --- Executes on button press in o_ToEditDnLin.
function o_ToEditDnLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_ToEditDnLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in o_ToEditUpLin.
function o_ToEditUpLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_ToEditUpLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in o_ToChngDnLin.
function o_ToChngDnLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_ToChngDnLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in o_ToChngUpLin.
function o_ToChngUpLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_ToChngUpLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in o_FromAutoLin.
function o_FromAutoLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_FromAutoLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of o_FromAutoLin


% --- Executes on button press in o_ToAutoLin.
function o_ToAutoLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_ToAutoLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of o_ToAutoLin


% --- Executes during object creation, after setting all properties.
function o_SymmetryLin_CreateFcn(hObject, eventdata, handles)
% hObject    handle to o_SymmetryLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function o_SymmetryLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_SymmetryLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of o_SymmetryLin as text
%        str2double(get(hObject,'String')) returns contents of o_SymmetryLin as a double


% --- Executes on button press in o_PlotResultLin.
function o_PlotResultLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_PlotResultLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of o_PlotResultLin


% --- Executes on button press in o_SaveResultLin.
function o_SaveResultLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_SaveResultLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of o_SaveResultLin


% --- Executes on button press in o_PrintResultLin.
function o_PrintResultLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_PrintResultLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of o_PrintResultLin


% --- Executes on button press in checkbox40.
function checkbox40_Callback(hObject, eventdata, handles)
% hObject    handle to checkbox40 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of checkbox40


% --- Executes on button press in o_ImageResultLin.
function o_ImageResultLin_Callback(hObject, eventdata, handles)
% hObject    handle to o_ImageResultLin (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of o_ImageResultLin





% --------------------------------------------------------------------
function varargout = o_AutoPlotMinMax_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_AutoPlotMinMax.


% --------------------------------------------------------------------
function varargout = o_PlotMin_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PlotMin.


% --------------------------------------------------------------------
function varargout = o_PlotMax_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PlotMax.


% --------------------------------------------------------------------
function varargout = o_AutoPlotMinMaxLin_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_AutoPlotMinMaxLin.


% --------------------------------------------------------------------
function varargout = o_PlotMinLin_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PlotMinLin.


% --------------------------------------------------------------------
function varargout = o_PlotMaxLin_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PlotMaxLin.
