function crd=rotate_coordinates(crd,rotation_point,rotation_axis,angle);
%Rotates array with X,Y,Z coordinates around given axis for given angle (conterclockwise looking from the positive side)
%Give initial data as vertical array, 1 row - 1 point coordinates

M_r=rotation_matrix_4x4(rotation_point,rotation_axis,angle);	%calculates rotation matrix around given axis for given angle (conterclockwise looking from the positive side)

if size(crd,2) > 3	%horizontal array, 1 column - 1 point coordinates
	crd=crd';	%transpone to the vertical array, 1 row - 1 point coordinates
	horizontal=1;	%flag to remember initial array shape
else
	horizontal=0;	% vertical array, 1 row - 1 point coordinates
end

crd(:,4)=1;	%adding 4th unity column
crd=crd*M_r';	%Transform coordinates. The result is vertical array, 1 row - 1 point coordinates
crd=crd(:,1:3);	%remove last unity column

if horizontal==1;	%horizontal array, 1 column - 1 point coordinates
	crd=crd';
end
	
