tic
% VolmData = rand(10,10,10);
% toc
% toc
% 
% i=1:10;
% x(i)=i;
% y(i)=i;
% z(i)=i;
% % y(i)=i.^1.5;
% % z(i)=sin(i);
% v(i)=i/10;
%mol=readPDBfull('C12H12.pdb');
%mol=readPDBfull('s3_ch1.pdb');
% mol=readPDBfull('Ch1.pdb');
ATOM=readPDBfull('13. mscl-ec-mov11-open-5f_HE.pdb_SF.pdb');
%ATOM=readPDBfull('C12H12_ornt.pdb');
% ATOM.x=ATOM.x*4;
% ATOM.y=ATOM.y*4;
% ATOM.z=ATOM.z*4;


%========   EVERYTHING IS FOR FIXED 1-A GREED
%--- steps of greed
StepX=1;
StepY=1;
StepZ=1;
SmoothNeighbRange=2.5;	%SmoothNeighbRangeing in Angstroms
SmoothNeighbRange_greed=SmoothNeighbRange/mean([StepX StepY StepZ]);
SmoothNeighbRange_box=round(SmoothNeighbRange_greed)*4+1;


%--- calculate ATOM coordinates range (after SmoothNeighbRangeing)
MinXr=min(ATOM.x)-(SmoothNeighbRange+1); MaxXr=max(ATOM.x)+(SmoothNeighbRange_box+1);
MinYr=min(ATOM.y)-(SmoothNeighbRange+1); MaxYr=max(ATOM.y)+(SmoothNeighbRange_box+1);
MinZr=min(ATOM.z)-(SmoothNeighbRange+1); MaxZr=max(ATOM.z)+(SmoothNeighbRange_box+1);

%--- calculate coordinates of greed centers
vMBinsX=MinXr:StepX:MaxXr;
vMBinsY=MinYr:StepY:MaxYr;
vMBinsZ=MinZr:StepZ:MaxZr;

%--- calculate volumetric greed size
size_x=length(vMBinsX);
size_y=length(vMBinsY);
size_z=length(vMBinsZ);

%--- calculate rounded atom's positions in the greed coordinates
ShiftX=StepX*size_x/2-(max(ATOM.x)+min(ATOM.x))/2;
ShiftY=StepY*size_y/2-(max(ATOM.y)+min(ATOM.y))/2;
ShiftZ=StepZ*size_z/2-(max(ATOM.z)+min(ATOM.z))/2;
ATOM.x_s=round((ATOM.x+ShiftX)/StepX);
ATOM.y_s=round((ATOM.y+ShiftY)/StepY);
ATOM.z_s=round((ATOM.z+ShiftZ)/StepZ);

VolmData=zeros(size_x,size_y,size_z);
for i=1:length(ATOM.x)
	VolmData(ATOM.x_s(i),ATOM.y_s(i),ATOM.z_s(i))=1;
end

round(SmoothNeighbRange_greed)*2%!!!
%VolmData = smooth3(VolmData,'gaussian',SmoothNeighbRange_box,SmoothNeighbRange_greed);
for i=1:round(SmoothNeighbRange_greed)*2
	VolmData = smooth3(VolmData,'box',3);
end
save '13. mscl-ec-mov11-open-5f_HE.pdb_SF.pdb-box-rough_vol.mat' VolmData vMBinsX vMBinsY vMBinsZ;
% return
plot3(ATOM.x,ATOM.y,ATOM.z);
hold on
plot3(ATOM.x_s,ATOM.y_s,ATOM.z_s)
hold off
figure

t1=isosurface(VolmData,.001);
%t1=isosurface(x,y,z,v,.5)
toc
p1 = patch(t1, ...
   'FaceColor','green','EdgeColor','none');
% toc
%  t2=isocaps(VolmData,.001)
%  p2 = patch(t2, ...
%      'FaceColor','interp','EdgeColor','none');
% toc
% isonormals(VolmData,p1)
toc
view(3); axis vis3d tight
toc
camlight; lighting phong
figure

t1=isosurface(VolmData,.0002);
%t1=isosurface(x,y,z,v,.5)
toc
p1 = patch(t1, ...
   'FaceColor','blue','EdgeColor','none');
% toc
%  t2=isocaps(VolmData,.001)
%  p2 = patch(t2, ...
%      'FaceColor','interp','EdgeColor','none');
% toc
% isonormals(VolmData,p1)
toc
view(3); axis vis3d tight
toc
camlight; lighting phong
figure
[x,y,z,D] = subvolume(VolmData,[nan,nan,nan,nan,5,7]);
p1 = patch(isosurface(x,y,z,D, 0.001),...
     'FaceColor','red','EdgeColor','none');
isonormals(x,y,z,D,p1);
p2 = patch(isocaps(x,y,z,D, 0.001),...
     'FaceColor','interp','EdgeColor','none');
view(3); axis tight; daspect([1,1,.4])
colormap(gray(100))
camlight right; camlight left; lighting gouraud




toc
